| dppsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- h
- i
- l
- m
- n
- p
- r
- s
- t
- u
- v
- y

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AuxDelayUs : XDpPsu
- AvgBytesPerTU : XDpPsu_MainStreamAttributes

### - b -

- BaseAddr : XDpPsu_Config
- BitsPerColor : XDpPsu_MainStreamAttributes
- BoardChar : XDpPsu

### - c -

- ComponentFormat : XDpPsu_MainStreamAttributes
- Config : XDpPsu

### - d -

- DataPerLane : XDpPsu_MainStreamAttributes
- DeviceId : XDpPsu_Config
- DevServiceIrqVec : XDpPsu_SinkConfig
- DownspreadControl : XDpPsu_LinkConfig
- DpcdRxCapsField : XDpPsu_SinkConfig
- DynamicRange : XDpPsu_MainStreamAttributes

### - e -

- EnhancedFramingMode : XDpPsu_LinkConfig

### - h -

- HpdEventCallbackRef : XDpPsu
- HpdEventHandler : XDpPsu
- HpdPulseCallbackRef : XDpPsu
- HpdPulseHandler : XDpPsu
- HStart : XDpPsu_MainStreamAttributes

### - i -

- InitWait : XDpPsu_MainStreamAttributes
- IsReady : XDpPsu

### - l -

- LaneCount : XDpPsu_LinkConfig
- LaneStatusAdjReqs : XDpPsu_SinkConfig
- LinkConfig : XDpPsu
- LinkRate : XDpPsu_LinkConfig

### - m -

- MaxLaneCount : XDpPsu_LinkConfig
- MaxLinkRate : XDpPsu_LinkConfig
- Misc0 : XDpPsu_MainStreamAttributes
- Misc1 : XDpPsu_MainStreamAttributes
- MsaConfig : XDpPsu

### - n -

- NVid : XDpPsu_MainStreamAttributes

### - p -

- Pattern : XDpPsu_LinkConfig
- PeLevel : XDpPsu_LinkConfig
- PixelClockHz : XDpPsu_MainStreamAttributes

### - r -

- RxConfig : XDpPsu

### - s -

- SAxiClkHz : XDpPsu
- ScramblerEn : XDpPsu_LinkConfig
- SinkCount : XDpPsu_SinkConfig
- SupportDownspreadControl : XDpPsu_LinkConfig
- SupportEnhancedFramingMode : XDpPsu_LinkConfig
- SynchronousClockMode : XDpPsu_MainStreamAttributes

### - t -

- TransferUnitSize : XDpPsu_MainStreamAttributes
- TxPeLevels : XDpPsu_BoardChar
- TxVsLevels : XDpPsu_BoardChar

### - u -

- UserPixelWidth : XDpPsu_MainStreamAttributes
- UserTimerPtr : XDpPsu

### - v -

- VsLevel : XDpPsu_LinkConfig
- VStart : XDpPsu_MainStreamAttributes
- Vtm : XDpPsu_MainStreamAttributes

### - y -

- YCbCrColorimetry : XDpPsu_MainStreamAttributes